package background.commands;

import background.CommandManager;

public class Breakpoint extends Command {

	public Breakpoint(CommandManager cm) {super(cm); }
	public Breakpoint(Boolean viz, CommandManager cm) {super(viz, cm);}

	@Override
	public String getType() {
		return "Pause";
	}
	
	@Override
	public void applyCommand() {
		commandManager.timer.cancel();
		commandManager.button.setEnabled(true);
	}
	
}
